"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var node_exports = {};
__export(node_exports, {
  JsonFilter: () => JsonFilter,
  SyntaxHighlighter: () => SyntaxHighlighter,
  createElement: () => import_create_element.default
});
module.exports = __toCommonJS(node_exports);
var import_jsonpath = __toESM(require("jsonpath"));
var import_react = __toESM(require("react"));
var import_react_ui = require("@dxos/react-ui");
var import_react_ui_theme = require("@dxos/react-ui-theme");
var import_create_element = __toESM(require("react-syntax-highlighter/dist/esm/create-element"));
var import_react2 = __toESM(require("react"));
var import_light_async = __toESM(require("react-syntax-highlighter/dist/esm/light-async"));
var import_react_ui2 = require("@dxos/react-ui");
var import_react_ui_theme2 = require("@dxos/react-ui-theme");
var alabasterDark = {
  hljs: {
    display: "block",
    overflowX: "auto",
    color: "#CECECE",
    padding: "0.5em"
  },
  "hljs-comment": {
    color: "#DFDF8E"
  },
  "hljs-string": {
    color: "#95CB82"
  },
  "hljs-meta-string": {
    color: "#95CB82"
  },
  "hljs-regexp": {
    color: "#95CB82"
  },
  "hljs-number": {
    color: "#CC8BC9"
  },
  "hljs-literal": {
    color: "#CC8BC9"
  },
  "hljs-title": {
    color: "#71ADE7"
  },
  "hljs-deletion": {
    backgroundColor: "#ffdddd",
    color: "#434343"
  },
  "hljs-addition": {
    backgroundColor: "#ddffdd",
    color: "#434343"
  }
};
var githubLight = {
  hljs: {
    display: "block",
    overflowX: "auto",
    color: "#545454",
    padding: "0.5em"
  },
  "hljs-comment": {
    color: "#696969"
  },
  "hljs-quote": {
    color: "#696969"
  },
  "hljs-variable": {
    color: "#d91e18"
  },
  "hljs-template-variable": {
    color: "#d91e18"
  },
  "hljs-tag": {
    color: "#d91e18"
  },
  "hljs-name": {
    color: "#d91e18"
  },
  "hljs-selector-id": {
    color: "#d91e18"
  },
  "hljs-selector-class": {
    color: "#d91e18"
  },
  "hljs-regexp": {
    color: "#d91e18"
  },
  "hljs-deletion": {
    color: "#d91e18"
  },
  "hljs-number": {
    color: "#aa5d00"
  },
  "hljs-built_in": {
    color: "#aa5d00"
  },
  "hljs-builtin-name": {
    color: "#aa5d00"
  },
  "hljs-literal": {
    color: "#aa5d00"
  },
  "hljs-type": {
    color: "#aa5d00"
  },
  "hljs-params": {
    color: "#aa5d00"
  },
  "hljs-meta": {
    color: "#aa5d00"
  },
  "hljs-link": {
    color: "#aa5d00"
  },
  "hljs-attribute": {
    color: "#aa5d00"
  },
  "hljs-string": {
    color: "#008000"
  },
  "hljs-symbol": {
    color: "#008000"
  },
  "hljs-bullet": {
    color: "#008000"
  },
  "hljs-addition": {
    color: "#008000"
  },
  "hljs-title": {
    color: "#007faa"
  },
  "hljs-section": {
    color: "#007faa"
  },
  "hljs-keyword": {
    color: "#7928a1"
  },
  "hljs-selector-tag": {
    color: "#7928a1"
  },
  "hljs-emphasis": {
    fontStyle: "italic"
  },
  "hljs-strong": {
    fontWeight: "bold"
  }
};
var zeroWidthSpace = "\u200B";
var SyntaxHighlighter = ({ classNames, fallback = zeroWidthSpace, children, ...props }) => {
  const { themeMode } = (0, import_react_ui2.useThemeContext)();
  return /* @__PURE__ */ import_react2.default.createElement(import_light_async.default, {
    className: (0, import_react_ui_theme2.mx)("w-full p-0.5", classNames),
    style: themeMode === "dark" ? alabasterDark : githubLight,
    ...props
  }, children || fallback);
};
var JsonFilter = ({ data: initialData, classNames }) => {
  const [data, setData] = (0, import_react.useState)(initialData);
  const [text, setText] = (0, import_react.useState)("");
  const [error, setError] = (0, import_react.useState)(null);
  (0, import_react.useEffect)(() => {
    if (!initialData || !text.trim().length) {
      setData(initialData);
    } else {
      try {
        setData(import_jsonpath.default.query(initialData, text));
        setError(null);
      } catch (err) {
        setData(initialData);
        setError(err);
      }
    }
  }, [
    initialData,
    text
  ]);
  return /* @__PURE__ */ import_react.default.createElement("div", {
    className: "flex flex-col grow overflow-hidden"
  }, /* @__PURE__ */ import_react.default.createElement(import_react_ui.Input.Root, {
    validationValence: error ? "error" : "success"
  }, /* @__PURE__ */ import_react.default.createElement(import_react_ui.Input.TextInput, {
    classNames: (0, import_react_ui_theme.mx)("p-1 px-2 font-mono", error && "border-red-500"),
    variant: "subdued",
    value: text,
    onChange: (event) => setText(event.target.value),
    placeholder: "JSONPath (e.g., $.graph.nodes)"
  })), /* @__PURE__ */ import_react.default.createElement(SyntaxHighlighter, {
    language: "json",
    classNames: (0, import_react_ui_theme.mx)("grow overflow-y-auto", classNames)
  }, JSON.stringify(data, null, 2)));
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  JsonFilter,
  SyntaxHighlighter,
  createElement
});
//# sourceMappingURL=index.cjs.map
